Supporting old browser

Webmaster Forums, Forum Promotion, SEO, Domain Names, Hosting & More!

AdminBrave is a community with useful content and resources. Connect with fellow webmasters. Grow your network. Stay informed. Learn and share with us!

Abhi

Abhi

Valued Member
Joined
Jan 21, 2020
Messages
4,426
Reaction score
110
Points
63
When you design, do you make sure that you support old browsers ? Some even support Internet Explorer and older versions of Chrome and Firefox.
 
admin

admin

Community Leader
Joined
Aug 2, 2019
Messages
1,991
Reaction score
107
Points
63
You can. Only thing is how far you want to go. If you want to support browsers like IE, you will have to sacrifice a lot of interesting addition which you could otherwise add to your project.

If I remember correctly, Bootstrap has already dropped IE support.
 
Abhi

Abhi

Valued Member
Joined
Jan 21, 2020
Messages
4,426
Reaction score
110
Points
63
I checked, probably we will be forced to use Bootstrap 3 instead of Bootstrap 4 if we need to support old browsers.

But there is a good amount of old browsers out there. Not everyone use on the edge browser versions.
 
admin

admin

Community Leader
Joined
Aug 2, 2019
Messages
1,991
Reaction score
107
Points
63
It depends upon the project. I am not saying that you stay in bleeding edge block. But let us assume that Firefox and Chrome are used to access internet and therefore people will get it updated as well.

Unless specified, try to support the standard cluster of browsers. There are some tools to include old browsers as well like an addon.
 
P

phenomlab

Valued Member
Joined
Jan 30, 2020
Messages
788
Reaction score
1
Points
0
@admin From the security perspective, I won't support old browsers. There's no real excuse to not upgrade.
 
Abhi

Abhi

Valued Member
Joined
Jan 21, 2020
Messages
4,426
Reaction score
110
Points
63
> @phenomlab There's no real excuse to not upgrade.

I have heard that corporate users still run XP machines so that they do not have to get new associated software. That could be true for Windows 7 machines too.
 
P

phenomlab

Valued Member
Joined
Jan 30, 2020
Messages
788
Reaction score
1
Points
0
@Abhi Wouldn't surprise me at all. Stupid, but not surprising.
 
Abhi

Abhi

Valued Member
Joined
Jan 21, 2020
Messages
4,426
Reaction score
110
Points
63
I have seen some 2010 era machines with embedded PC running XP. I don't think they will replace it in 10 years. They are too costly. Same as ATMs running XP in the core till some time back.
 

Create an account or login to comment

You must be a member in order to leave a comment

Create account

Create an account on our community. It's easy!

Log in

Already have an account? Log in here.

Similar threads

Abhi
Replies
5
Views
486
admin
admin
AB Paperboy
Replies
0
Views
18
AB Paperboy
AB Paperboy
AB Paperboy
Replies
1
Views
57
Noble
Noble
ZandraJoi
Replies
1
Views
60
Abhi
Abhi
Abhi
Replies
5
Views
283
ZandraJoi
ZandraJoi
Top